# 8. Mutaatio: luo "RasterMap"

Luo "RasterMap" "Pelto"-kohteelle.

{% hint style="info" %}
Suoritusaika vaihtelee (4 sekunnista 5 minuuttiin), se riippuu käsiteltävien kuvien määrästä ja pellon pinta-alasta, ja tilaus vastaanotetaan onnistuneen "RasterMap"-generoinnin jälkeen.
{% endhint %}

{% hint style="danger" %}
Suosittelemme käyttämään **asynkronista** lähestymistapaa RasterMapin luomiseksi
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<paikantaja_satelliittikuvan_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    nimi
    centroid {
      latitude
      longitude
    }
    rajoituslaatikko
    geoKartat {
      lyhytNimi
      kokonimi
      url
      luokat
      hexVärikoodit
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/8.-mutaatio-luo-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
